iOS Question Hosted Mac Builder AdMob SDK Update

hanyelmehy

Active Member
Licensed User
please update Hosted Mac Builder AdMob SDK to 7.55.0 or above
Apple announced that the App Store will no longer accept new apps using UIWebView as of April 2020
 

hanyelmehy

Active Member
Licensed User
The current version should be 7.58.0.
i upload app to app store yesterday (app build with Hosted Mac Builder) ,and get this message from apple
ITMS-90809: Deprecated API Usage - New apps that use UIWebView are no longer accepted. Instead, use WKWebView for improved security and reliability. Learn more (https://developer.apple.com/documentation/uikit/uiwebview).

in app i am not used any webview , i use admob
 

hanyelmehy

Active Member
Licensed User
You can test the version with this code:
B4X:
Dim no As NativeObject
no.Initialize("GADRequest")
Log(no.RunMethod("sdkVersion", Null).AsString)
It prints here:
afma-sdk-i-v7.57.0
thank you for your answer , but What the reason for apple message
-i am sure i am not use any webview in app
-i use (#AdditionalLib: WebKit.framework) for gamekit in app
 

Attachments

Vins

Member
Licensed User
You can test the version with this code:
B4X:
Dim no As NativeObject
no.Initialize("GADRequest")
Log(no.RunMethod("sdkVersion", Null).AsString)
It prints here:
afma-sdk-i-v7.57.0
I am trying to use this code fragment to get my SDK version but log reports errors:
"Object was not initialized (NSObject)"
 
Top